Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

need 64-bit cq5 dispatcher module

chanu_Reddy
Level 1
Level 1

I am trying to work on Dispatcher with CQ instance in Windows8 64-bit and apache 2.2, but unable to run the Apache server once configuration of dispatcher module is done.

I have downloaded the module in location is https://www.adobeaemcloud.com/content/companies/public/adobe/dispatcher/dispatcher.html and tried with both below modules, but no luck, getting below error.

dispatcher-apache2.2-windows-x86-4.1.5.zip   and   dispatcher-apache2.2-windows-x86-ssl-4.1.5.zip

 

error: 
F:\myWork\apache_httpd\bin>httpd.exe
httpd.exe: Syntax error on line 129 of F:/myWork/apache_httpd/conf/httpd.conf: Cannot load F:/myWork/apache_httpd/modules/disp_apache.dll into server: %1 is not a valid Win32 application.

 

 

Can you guys guide me the links for dispatcher module and apache server version to work on Windows8 64-bit.

1 Accepted Solution
Sham_HC
Correct answer by
Level 10
Level 10

On the Apache official distribution site There is no binary available for Apache 2.4 on Windows.  we're not going to support this as long as there's no official binary from apache.

View solution in original post

5 Replies
Sham_HC
Level 10
Level 10

I am assuming your apache is also 32 bit.   Can you please download dispatcher again using IE browser instead of FireFox browser and retry? 

Additionally if you are using ssl version make sure openssl is installed.

chanu_Reddy
Level 1
Level 1

Tried with non ssl module, but still getting same error and am using below Apache version. Actually i have downloaded this sever from unofficial website.

Do we have Windows8 64-bit dispatcher module for Apache 2.4 version. Can you please help me out.

F:\myWork\apache_httpd\bin>httpd.exe -V
Server version: Apache/2.2.21 (Win64)
Server built:   Sep 23 2011 21:32:18
Server's Module Magic Number: 20051115:30
Server loaded:  APR 1.4.5, APR-Util 1.3.12
Compiled using: APR 1.4.5, APR-Util 1.3.12
Architecture:   64-bit
Server MPM:     WinNT
  threaded:     yes (fixed thread count)
    forked:     no
Server compiled with....
 -D APACHE_MPM_DIR="server/mpm/winnt"
 -D APR_HAS_SENDFILE
 -D APR_HAS_MMAP
 -D APR_HAS_OTHER_CHILD
 -D AP_HAVE_RELIABLE_PIPED_LOGS
 -D DYNAMIC_MODULE_LIMIT=128
 -D HTTPD_ROOT="/apache"
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
 -D DEFAULT_ERRORLOG="logs/error.log"
 -D AP_TYPES_CONFIG_FILE="conf/mime.types"
 -D SERVER_CONFIG_FILE="conf/httpd.conf"

Sham_HC
Correct answer by
Level 10
Level 10

On the Apache official distribution site There is no binary available for Apache 2.4 on Windows.  we're not going to support this as long as there's no official binary from apache.

View solution in original post

khanjan_saraiya
Level 1
Level 1

As a work around, you may try installing Apache 32 bit and then add the dispatcher's 32 bit module and see if it works. It worked for me so thought of sharing!

Regards,

Khanjan

Jörg_Hoh
Employee
Employee

HI,

looks like your httpd binary is a 64bit binary. This is not a version provided by apache officially. Apache only provides a 32bit binary and you should better choose this, as there is a 32bit dispatcher available.

Note: On Win64 you can still run 32bit binaries.

kind regards,
Jörg